﻿@model web_app_voice.ModelsDto.LoginDataDto
@{
    ViewData["Title"] = "Login";
    Layout = "~/Views/Shared/_LoginLayout.cshtml";
}

<div>
    <div>
        <h1 class="logo-name">Voice+</h1>
    </div>
    <section>
        @Html.HiddenFor(x => x.ReturnUrl, Model.ReturnUrl)
        <hr />
        <div class="form-group">
            <label for="loginEmail">Email</label>
            <input type="text" id="loginEmail" name="loginEmail" class="form-control" />
            <div id="loginEmailError" class="login-error-text"></div>
        </div>
        <div class="form-group">
            <label for="loginPassword">Password</label>
            <input type="password" id="loginPassword" name="loginPassword" class="form-control" />
            <div id="loginPasswordError" class="login-error-text"></div>
        </div>
        <div class="form-group">
            <button type="button" id="btnLogin" class="ladda-button btn btn-primary block full-width m-b" data-style="zoom-out">Log in</button>
            <div id="loginError" class="login-error-text" style="text-align:center;"></div>
        </div>

    </section>
</div>
@section Scripts {
    <script src="~/js/app/login-ui.js" asp-append-version="true"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            new login({
                loginAction: "@Url.Action("PerFormLogin","Authorization")"
            });
        });
    </script>
}
